/**
 * This class provides services as needed to complete Lab Exercise L3.2 of JBA
 * (pp.124-126)
 * 
 * @author mb
 * 
 */
public class Lab05Services {

	private Lab05Services() {
		// we make the constructor private so that the constructor is hidden
		// from clients. We do not want to allow clients to instantiate
		// this class, since this is intended to be a utility class.
	}

	/**
	 * This method converts the passed Fahrenheit value to Celcius.
	 * 
	 * @param tempF
	 *            the Fahrenheit value
	 * 
	 * @return as described above
	 */
	public static double convertFromFahrenheitToCelcius(int tempF) {
		final int ZERO_SHIFT = -32;
		final double SCALE_FACTOR = 5.0 / 9.0;
		return SCALE_FACTOR * (tempF + ZERO_SHIFT);
	}

}
